# CameraPreviewMode enum

Configuration of the camera preview mode.

Inheritance
  - Object
  - Enum
  - CameraPreviewMode

## Constructors

CameraPreviewMode()
  const

## Values

FIT_IN → const CameraPreviewMode

  In this mode, the camera preview frames will be scaled to the layout view size - the full preview frame content will be visible, but unused edges might appear in the preview layout.

FILL_IN → const CameraPreviewMode

  In this mode, the camera preview frames fill the layout view - the preview frames may contain additional content on the edges that was not visible in the preview layout.

## Properties

hashCode → int
  The hash code for this object.
  no setter inherited
index → int
  A numeric identifier for the enumerated value.
  no setter inherited
runtimeType → Type
  A representation of the runtime type of the object.
  no setter inherited

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited

## Constants

values → const List<CameraPreviewMode>
  A constant List of the values in this enum, in order of their declaration.